# Update Deprecated Modules for React Native

## About

This package is intended to be used from version `0.59.x` which started the [Lean Core Hub] initiative that removes modules from the core of react-native into community-maintained projects.

## Getting started

### Installation

1. Install [jscodeshift]:
  ```sh
    yarn global add jscodeshift
  ```
1. Install this package:
  ```sh
    yarn global add rn-update-deprecated-modules
  ```

### Usage

> This package accepts all arguments as [jscodeshift][jscodeshift-args].

```sh
  rn-update-depcreated-modules myFile.js
  rn-update-depcreated-modules app/**/*.js # will run on every `.js` file under the directory `app`
```

#### Example output

```
~/Documents/Projects/myNiceProject
❯ rn-update-deprecated-modules ./app/**/*.js
Processing 50 files...
Spawning 1 worker...
Sending 50 files to free worker...
All done.
Results:
0 errors
588 unmodified
0 skipped
1 ok
Time elapsed: 6.208seconds

 Import statements updated, run:
    yarn add @react-native-community/async-storage
```

```diff
-import { AsyncStorage } from 'react-native';
+import { Image, Lol } from 'react-native';
+import AsyncStorage from '@react-native-community/async-storage';
```

## License

MIT © [Lucas Bento](http://github.com/lucasbento)

[Lean Core Hub]: https://github.com/facebook/react-native/issues/23313
[jscodeshift]: https://github.com/facebook/jscodeshift
[jscodeshift-args]: https://github.com/facebook/jscodeshift#usage-cli
